# WhatsApp Button

The **WhatsApp Button** module allows you to add a configurable block anywhere
on your site, enabling quick and direct access to WhatsApp. With just one click,
users can instantly start a conversation.


## Table of Contents

- [Key Features](#key-features)
- [Requirements](#requirements)
- [Installation](#installation)
- [Configuration](#configuration)
- [Customization](#customization)
- [Project Links](#project-links)


## Key Features

- **Customizable contact number:** Set the WhatsApp number where conversations
  will be directed.
- **Predefined message customization:** Configure an automatic message that
  loads upon opening the chat, so users only need to send it.
- **Icon customization:** Replace the default icon with a custom image to match
  your site’s design.
- **Flexible positioning with CSS and media queries:** Adjust the button’s
  position on different screen sizes to fit your layout needs.


## Requirements

- Drupal 9.x or above
- [Composer](https://getcomposer.org/) for installation
- No additional modules are required outside of Drupal core.


## Installation

Run the following command to install the modu

1. **Using Composer**:

   ```bash
   composer require 'drupal/whatsapp_button:^1.0'
   ```

2. **Enable the Module**:

   ```bash
   drush en whatsapp_button
   ```

   Alternatively, enable the module through the Drupal admin interface in
   **Extend** (`/admin/modules`).


## Configuration

1. Navigate to **Structure > Block Layout** (`/admin/structure/block`).
2. Place the **WhatsApp Button** block in the desired region of your theme.
3. Configure the block settings:
   - **WhatsApp Number**: Enter the contact number.
   - **Predefined Message**: Set the message that will appear in the chat.
   - **Custom Icon**: Upload an image to replace the default icon (optional).
   - Optionally, disable the "Display title" setting.
4. Save the block configuration.


## Customization

- **Text Information:** Customize the message displayed on the WhatsApp page,
  add text next to the icon, and define a tooltip.
- **Image Settings:** Replace the default icon with a custom image. Define the
  image width using px (recommended), em, %, or any other CSS unit. You can also
  set different image widths for tablets and desktops (mobile uses the default
  size).
- **Position Settings:** Adjust the button’s position from the bottom and right
  of the screen.
- **Media Queries:** Customize media query breakpoints to control how the button
  behaves across different devices.


## Project Links

- **Project Page**: [https://www.drupal.org/project/whatsapp_button](https://www.drupal.org/project/whatsapp_button)
- **Issue Queue**: [https://www.drupal.org/project/issues/whatsapp_button](https://www.drupal.org/project/issues/whatsapp_button)


## License

This project is licensed under the [GNU General Public License, version 2](https://www.gnu.org/licenses/old-licenses/gpl-2.0.html), or later.
